---
title: 'DedicatedWorkerGlobalScope: messageerror event'
slug: Web/API/DedicatedWorkerGlobalScope/messageerror_event
tags:
  - Event
---
<div>{{APIRef}}</div>

<p>The <code>messageerror</code> event is fired on a {{domxref('DedicatedWorkerGlobalScope')}} object when it receives a message that can't be deserialized.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("MessageEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td><code><a href="/en-US/docs/Web/API/DedicatedWorkerGlobalScope/onmessageerror">onmessageerror</a></code></td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>Listen for <code>messageerror</code> using <code><a href="/en-US/docs/Web/API/EventTarget/addEventListener">addEventListener()</a></code>:</p>

<pre class="brush: js">// inside worker.js

self.addEventListener('messageerror', (event) =&gt; {
    self.postMessage('Error receiving message');
    console.error(event);
});</pre>

<p>The same, but using the <code><a href="/en-US/docs/Web/API/WindowEventHandlers/onmessageerror">onmessageerror</a></code> event handler property:</p>

<pre class="brush: js">// inside worker.js

self.onmessageerror = (event) =&gt; {
    self.postMessage('Error receiving message');
    console.error(event);
};</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'indices.html#event-messageerror')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DedicatedWorkerGlobalScope.messageerror_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><code><a href="/en-US/docs/Web/API/Worker/postMessage">Worker.postMessage()</a></code></li>
 <li>Related events: <code><a href="/docs/Web/API/DedicatedWorkerGlobalScope/message_event">message</a></code>.</li>
</ul>
